## typist 1.0-1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 SAVEDIR=./save
 
 # gf: Added LESSONDIR
-LESSONDIR=/u/ferguson/lib/typist
+LESSONDIR=/usr/share/typist
 
 
 #-----------------------------------------------------------------------
@@ -18,7 +18,12 @@
 # Following options modified depending on TARGET ENVIRONMENT:
 #
 # following options should work on most BSD systems:
-LIBS=-lcurses -ltermcap
+#LIBS=-lcurses -ltermcap
+#LINTFLAGS=-achx
+#DEBUG=-O
+
+# Following options for Linux
+LIBS=-lcurses
 LINTFLAGS=-achx
 DEBUG=-O
 
@@ -52,9 +57,10 @@
 SRCFILES=typist.c
 
 # dvorak only works on Suns, by the way
-TARGETS=typist dvorak
+# TARGETS=typist dvorak
+TARGETS=typist
 
-SOURCES=Makefile typist.c dvorak.c
+SOURCES=Makefile typist.c # dvorak.c
 
 #-----------------------------------------------------------------------
 #
@@ -66,7 +72,7 @@
 clean:
 	rm -f *.o
 
-clobber:
+distclean:
 	rm -f *.o $(TARGETS)
 
 lint:
@@ -81,3 +87,7 @@
 
 typist: typist.c
 	cc $(DEBUG) -DLESSONDIR=\"$(LESSONDIR)\" -o typist typist.c $(LIBS)
+
+install: typist
+	cp -p typist $(DESTDIR)/usr/bin/
+	cp *.typ $(DESTDIR)/usr/share/typist/
