=== debian/changelog ===
typist (1.0-1) unstable; urgency=low

  * Initial Release.
  * Dedicated to Ariannah, my wife.  I know she will enjoy honing
    her typing skills with this package.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  6 Nov 1997 21:00:55 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "synrg@sanctuary.nslug.ns.ca"
End:
