=== debian/control ===
Source: typist
Section: misc
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Standards-Version: 2.3.0.0

Package: typist
Architecture: any
Depends: ${shlibs:Depends}
Description: A simple ncurses typing tutor
 Displays exercise lines, measures your typing speed and
 accuracy, and displays the results.
